headless lms

List events

GET /api/events. List events. Headless LMS Events API reference.

GET
/api/events

Requires events:read. Every event the caller holds events:read on, drafts and canceled included. from and to keep the events that overlap the range.

Query Parameters

page?integer
Range1 <= value <= 9007199254740991
Default1
pageSize?integer
Range1 <= value <= 100
Default20
search?string
Lengthlength <= 200
sort?string

Default startsAt

Value in

  • "startsAt"
  • "-startsAt"
  • "title"
  • "-title"
status?string

Value in

  • "draft"
  • "published"
  • "canceled"
from?string

Events that end after this time

Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Formatdate-time
to?string

Events that start before this time

Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Formatdate-time

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/events"
{  "rows": [    {      "orgId": "string",      "id": "string",      "type": "event",      "title": "string",      "description": "string",      "thumbnailAssetId": "string",      "status": "draft",      "startsAt": "2019-08-24T14:15:22Z",      "endsAt": "2019-08-24T14:15:22Z",      "timeZone": "string",      "location": {        "venue": {          "name": "string",          "address": {            "line1": "string",            "line2": "string",            "city": "string",            "region": "string",            "postalCode": "string",            "country": "string"          }        },        "online": {          "url": "http://example.com",          "details": "string"        }      },      "recording": {        "url": "http://example.com",        "details": "string"      },      "settings": {        "type": "public",        "capacity": 1,        "notifications": true,        "replay": true      },      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "thumbnailUrl": "string"    }  ],  "total": -9007199254740991,  "page": -9007199254740991,  "pageSize": -9007199254740991}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}